header.headermini{
    position: absolute;
    display: block;
    top: 0px;
    padding: 5px 50px;
    color: white;
    background-color: red;
    width: 100%;
}
header.headerhome{
    display: block;
    padding: 50px;
    color: white;
    background-color: red;
    width: 100%;
    height: 100px;
}
header.headermini #logo{
    display: inline-block;
}
header.headerhome h1{
    font-size: 30px;
    line-height: 30px;
    font-weight: bold;
    margin: 0px;
    margin-block-start: 0px;
}
input.file-choose-button::-webkit-file-upload-button, input.file-choose-button::file-selector-button{
    font-size: 14px;
    background-color: rgb(145, 178, 240);
    padding:15px;
    display:inline-block;
    margin-bottom: 20px;
    width: 100px;
    border: none;
}
input.file-choose-button::-webkit-file-upload-button:hover, input.file-choose-button::file-selector-button:hover{
    background-color: rgb(179, 201, 241); 
}
input[type=submit].file-choose-button{
    font-size: 14px;
    background-color: rgb(145, 178, 240);
    padding:15px;
    display:inline-block;
    margin-bottom: 20px;
    width: 100px;
    border: none;
}
input[type=submit].file-choose-button:hover{
    background-color: rgb(179, 201, 241); 
}
button.tool-button[data-active="true"]{
    background-color: cornflowerblue;
    border: 2px solid red;
}
button.tool-button[data-active="true"]:hover{
    background-color: rgb(145, 178, 240);
    border: 2px solid rgb(248, 96, 96);
    cursor: pointer;
}
button.tool-button[data-active="false"]{
    background-color: gray;
    border: 2px solid white;
}
button.tool-button[data-active="false"]:hover{
    background-color: rgb(182, 181, 181);
    border: 2px solid white;
    cursor: pointer;
}
button.undo-button[data-active="false"], button.redo-button[data-active="false"]{
    background-color: gray;
    color: lightgray;
    border: 2px solid white;
}
button.undo-button[data-active="true"], button.redo-button[data-active="true"]{
    background-color: gray;
    border: 2px solid white;
}
button.undo-button[data-active="true"]:hover, button.redo-button[data-active="true"]:hover{
    background-color: rgb(182, 181, 181);
    border: 2px solid white;
    cursor: pointer;
}
button.underline-color, button.highlight-color{
    display: inline-block;
    padding: 15px;
    color: transparent;
    margin-left: 10px;
}
button.text-color{
    display: inline-block;
    padding: 0;
    margin-left: 10px;
    font-size: 20px;
}
button.highlight-color{
    border-radius: 50px;
    width: 50px;
}
button.underline-color[data-active="true"]{
    border: 2px solid yellow;
}
button.highlight-color[data-active="true"]{
    border: 2px solid red;
}
button.text-color[data-active="true"]{
    border: 2px solid red;
}
button.underline-color[data-active="false"]{
    border: 2px solid white;
}
button.highlight-color[data-active="false"]{
    border: 2px solid white;
}
button.text-color[data-active="false"]{
    border: 2px solid white;
}
button.underline-color{
    width: 50px;
    height: 50px;
}
button.text-color{
    width: 50px;
    height: 50px;
    background-color: transparent;
}
button.tool-button{
    padding:15px;
    display:inline-block;
    margin-bottom: 20px;
    width: 100px;
}
.background-red{
    background-color: red;
}
.color-red{
    color: red;
}
.background-blue{
    background-color: blue;
}
.color-blue{
    color: blue;
}
.background-green{
    background-color: green;
}
.color-green{
    color: green;
}
.background-orange{
    background-color: orange;
}
.color-orange{
    color: orange;
}
.background-fuchsia{
    background-color: fuchsia;
}
.color-fuchsia{
    color: fuchsia;
}
.background-yellow{
    background-color: yellow;
}
.background-yellowgreen{
    background-color: greenyellow;
}
.background-cyan{
    background-color: cyan;
}
.background-pink{
    background: #ffa3ff;
}
.tool-panel{
    position: absolute; left: 900px;top:220px; width: 450px; height: 1122px;
}
#download, #save{
    padding:15px;
    display:block;
    margin-bottom: 20px;
    width: 100px;
    background-color: coral;
}
#undo, #redo{
    padding:15px;
    display:block;
    margin-bottom: 20px;
    width: 100px;
}
#download:hover, #save:hover{
    background-color: rgb(251, 172, 144);
    cursor: pointer;
}
.draw-image{
    display: none;
}
.page-left{
    font-size: 20px;
    width: 20px;
    position: absolute;
    top: 94px;
    left: 50px;
}
.page-right{
    font-size: 20px;
    width: 20px;
    position: absolute;
    top: 94px;
    left: 820px;
}
.page-left[data-enabled="false"], .page-right[data-enabled="false"]{
    color: gray;
}
.page-left[data-enabled="true"], .page-right[data-enabled="true"]{
    color: black;
}
.thumbs-container{
    margin: 50px 136px;
    width: 616px;
    overflow-x: hidden;
}
.page-number{
    position: relative;
    top: 46px;
    left: 33px;
    height: 0px;
}
.homecontainer{
    margin: 50px;
}
.page canvas{
    position: absolute;
    left: 50px;
    width: 793px;
    height: 1122px;
    margin-top: -3px;
}
.pdfviewer{
    transform: scale(1.01);
}
#wrongBrowser{
    display: none;
    position: relative;
    margin-top: 100px;
    margin-left: 100px;
}
.page{
    display:none;
    width:793px;
    height:1122px;
    margin:50px;
}